Bug 757653 - [abrt] openoffice.org-impress-1:3.3.0-20.8.fc14: XQueryExtension killed by signal 11 (SIGSEGV)
Summary: [abrt] openoffice.org-impress-1:3.3.0-20.8.fc14: XQueryExtension killed by si...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a5fa11ebe0d4c7862c63dc4d257...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-28 09:29 UTC by Nicolas Sapa
Modified: 2011-12-14 23:35 UTC (History)
1 user (show)

Fixed In Version: libreoffice-3.3.4.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-14 23:35:34 UTC


Attachments (Terms of Use)
File: backtrace (57.60 KB, text/plain)
2011-11-28 09:29 UTC, Nicolas Sapa
no flags Details
replacement script without line breaks and with fixed page index getter (2.21 KB, text/plain)
2011-11-29 10:07 UTC, Caolan McNamara
no flags Details

Description Nicolas Sapa 2011-11-28 09:29:15 UTC
abrt version: 1.1.18
architecture: x86_64
Attached file: backtrace, 58978 bytes
cmdline: /usr/lib64/openoffice.org3/program/simpress.bin -impress -norestore -nologo -nodefault -invisible -headless -accept=socket,host=localhost,port=4905;urp;
comment: OpenOffice shouldn't crash
component: openoffice.org
Attached file: coredump, 261529600 bytes
executable: /usr/lib64/openoffice.org3/program/simpress.bin
kernel: 2.6.35.14-103.fc14.x86_64
package: openoffice.org-impress-1:3.3.0-20.8.fc14
rating: 4
reason: Process /usr/lib64/openoffice.org3/program/simpress.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1322470634
uid: 500

How to reproduce
-----
1. Started the fallowing python script
2.
3.

Comment 1 Nicolas Sapa 2011-11-28 09:29:19 UTC
Created attachment 537411 [details]
File: backtrace

Comment 2 Nicolas Sapa 2011-11-28 09:31:06 UTC
#!/usr/bin/env python
# -*- coding: utf-8 -*-
import os,time,sys,random
import uno

# Sanity check
if len(sys.argv) < 2:
    sys.exit('Usage: %s file:///path/to/filename.odp' % sys.argv[0])


# Contexte UNO
localContext = uno.getComponentContext()
resolver = localContext.ServiceManager.createInstanceWithContext("com.sun.star.bridge.UnoUrlResolver", localContext)

# Creation de l'instance LibreOffice
port = random.randint(4000,5000)
print('Activation de UNO sur le port %i' % port)
smgr = None
while smgr==None:
	try:
		print('Essai instanciation ...')
		smgr = resolver.resolve( "uno:socket,host=localhost,port=" + str(port) + ";urp;StarOffice.ServiceManager")
	except Exception as exceptInfo:
		print('Echec instanciation: ' + exceptInfo.Message)
		os.system("ooimpress -norestore  -nologo -nodefault -nolockcheck  -invisible -headless \"-accept=socket,host=localhost,port=" + str(port) + ";urp;\" &")
		time.sleep(2)

print('Connectée à UNO')

# Acces instance
remoteContext = smgr.getPropertyValue("DefaultContext")
desktop = smgr.createInstanceWithContext("com.sun.star.frame.Desktop",remoteContext)
try:
	print('Ouverture de %s ...' % sys.argv[1])
	document = desktop.loadComponentFromURL(sys.argv[1],"_blank", 0, () )
except Exception as exceptInfo:
	sys.exit('Echec ouverture: ' + exceptInfo.Message)

# Acces aux controller
dxcont = document.getCurrentController() # retourne un XController
dxmodel = dxcont.getModel() # retourne un XModel
dxframe = dxcont.getFrame() # retourne un XFrame
dxwindow = dxframe.getContainerWindow() # retourne un XWindow
pres = document.Presentation # retourne un XPresentation

# Cache la fenetre principale d'OO
dxwindow.setVisible(False)

# Configuration de la presentation
pres.IsFullScreen =  True
pres.AllowAnimations =  True
pres.IsAutomatic = True
pres.Pause = 0

# On recuperes les pages
dpages = dxmodel.getDrawPages() # retourne un XDrawPages

# Demarrage de la presentation
pres.start()


print("Nombre de pages: %i " % dpages.Count)


currentPage = dpages.page1
print("Diapo %i" % currentPage.Number)

time.sleep(5)


currentPage = dpages.page2
print("Diapo %i" % currentPage.Number)

time.sleep(5)


# On quitte tout
pres.end()
document.dispose()
desktop.terminate()
sys.exit('Fin ...')

Comment 3 Caolan McNamara 2011-11-29 09:56:14 UTC
Quite probably this is the problem fixed by http://cgit.freedesktop.org/libreoffice/core/commit/?id=a07e8231a5cd3e12f7120486098479ab6ae6bcc2

Comment 4 Caolan McNamara 2011-11-29 10:07:32 UTC
Created attachment 537869 [details]
replacement script without line breaks and with fixed page index getter

Comment 5 Caolan McNamara 2011-11-29 10:26:48 UTC
Assuming that's the problem, >= openoffice.org-3.3.0-20.10.fc14 will have that fix if we do another release for F-14

Comment 6 Fedora Update System 2011-11-30 11:46:30 UTC
openoffice.org-3.3.0-20.10.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-20.10.fc14

Comment 7 Fedora Update System 2011-12-01 05:21:59 UTC
libreoffice-3.3.4.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libreoffice-3.3.4.1-1.fc15

Comment 8 Fedora Update System 2011-12-02 21:30:09 UTC
Package openoffice.org-3.3.0-20.10.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openoffice.org-3.3.0-20.10.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16640/openoffice.org-3.3.0-20.10.fc14
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-12-14 23:35:34 UTC
libreoffice-3.3.4.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.